> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto monitors

> Manage monitors

Manage monitors

<Tip>
  * **Platform docs:** [docs.bronto.io/core-features/monitors](https://docs.bronto.io/core-features/monitors)
  * **API reference:** [docs.bronto.io/api-reference/monitors/retrieve-monitors](https://docs.bronto.io/api-reference/monitors/retrieve-monitors)
</Tip>

```sh theme={"dark"}
bronto monitors <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto monitors check`](/cli/reference/commands/monitors#bronto-monitors-check) | Validate monitor definition files, exiting non-zero on problems |
| [`bronto monitors create`](/cli/reference/commands/monitors#bronto-monitors-create) | Create a monitor |
| [`bronto monitors delete`](/cli/reference/commands/monitors#bronto-monitors-delete) | Delete a monitor |
| [`bronto monitors downtimes`](/cli/reference/commands/monitors#bronto-monitors-downtimes) | Manage downtimes |
| [`bronto monitors events`](/cli/reference/commands/monitors#bronto-monitors-events) | List recent events for a monitor |
| [`bronto monitors get`](/cli/reference/commands/monitors#bronto-monitors-get) | Get a monitor by ID |
| [`bronto monitors list`](/cli/reference/commands/monitors#bronto-monitors-list) | List monitors |
| [`bronto monitors mute`](/cli/reference/commands/monitors#bronto-monitors-mute) | Mute or unmute a monitor |
| [`bronto monitors notifications`](/cli/reference/commands/monitors#bronto-monitors-notifications) | List notifications a monitor sent |
| [`bronto monitors templates`](/cli/reference/commands/monitors#bronto-monitors-templates) | Manage monitor templates |
| [`bronto monitors update`](/cli/reference/commands/monitors#bronto-monitors-update) | Update a monitor |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto monitors check

Validate monitor definition files, exiting non-zero on problems

```sh theme={"dark"}
bronto monitors check --input <file.json> [--input more.json] [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--input` | | stringArray | | monitor definition JSON file, or - for stdin (repeatable) |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors check --input monitor.json
bronto monitors check --input monitors/a.json --input monitors/b.json
```

## bronto monitors create

Create a monitor

```sh theme={"dark"}
bronto monitors create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors create -f name=<name> -f 'window=Last 20 minutes' -f threshold=1000 \
    -f comparison_operator=ABOVE -f 'queries=<json>' -f 'actions=<json>'
bronto monitors create --input body.json
```

## bronto monitors delete

Delete a monitor

```sh theme={"dark"}
bronto monitors delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors delete <id> --yes
```

## bronto monitors downtimes

Manage downtimes

```sh theme={"dark"}
bronto monitors downtimes <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto monitors downtimes create`](/cli/reference/commands/monitors#bronto-monitors-downtimes-create) | Create a downtime |
| [`bronto monitors downtimes delete`](/cli/reference/commands/monitors#bronto-monitors-downtimes-delete) | Delete a downtime |
| [`bronto monitors downtimes list`](/cli/reference/commands/monitors#bronto-monitors-downtimes-list) | List downtimes |
| [`bronto monitors downtimes update`](/cli/reference/commands/monitors#bronto-monitors-downtimes-update) | Update a downtime |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto monitors downtimes create

Create a downtime

```sh theme={"dark"}
bronto monitors downtimes create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors downtimes create -f name=<name>
bronto monitors downtimes create --input body.json
```

## bronto monitors downtimes delete

Delete a downtime

```sh theme={"dark"}
bronto monitors downtimes delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors downtimes delete <id> --yes
```

## bronto monitors downtimes list

List downtimes

```sh theme={"dark"}
bronto monitors downtimes list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors downtimes list
```

## bronto monitors downtimes update

Update a downtime

```sh theme={"dark"}
bronto monitors downtimes update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors downtimes update <id> -f name=<name>
bronto monitors downtimes update <id> --input body.json
```

## bronto monitors events

List recent events for a monitor

```sh theme={"dark"}
bronto monitors events <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors events <id>
```

## bronto monitors get

Get a monitor by ID

```sh theme={"dark"}
bronto monitors get <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors get <id>
```

## bronto monitors list

List monitors

```sh theme={"dark"}
bronto monitors list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors list
```

## bronto monitors mute

Mute or unmute a monitor

```sh theme={"dark"}
bronto monitors mute <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--unmute` | | bool | | unmute the monitor |
| `--until` | | int | `-1` | mute until this Unix timestamp in milliseconds (-1 mutes indefinitely) |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors mute <id>
bronto monitors mute <id> --until 1710958395538
bronto monitors mute <id> --unmute
```

## bronto monitors notifications

List notifications a monitor sent

```sh theme={"dark"}
bronto monitors notifications <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--since` | | string | `24h` | lookback window, e.g. 1h, 7d, or 1h30m |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors notifications <id> --since 7d
```

## bronto monitors templates

Manage monitor templates

```sh theme={"dark"}
bronto monitors templates <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto monitors templates create`](/cli/reference/commands/monitors#bronto-monitors-templates-create) | Create a monitor template |
| [`bronto monitors templates delete`](/cli/reference/commands/monitors#bronto-monitors-templates-delete) | Delete a monitor template |
| [`bronto monitors templates get`](/cli/reference/commands/monitors#bronto-monitors-templates-get) | Get a monitor template by ID |
| [`bronto monitors templates list`](/cli/reference/commands/monitors#bronto-monitors-templates-list) | List monitor templates |
| [`bronto monitors templates update`](/cli/reference/commands/monitors#bronto-monitors-templates-update) | Update a monitor template |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto monitors templates create

Create a monitor template

```sh theme={"dark"}
bronto monitors templates create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors templates create -f name=<name> -f 'window=Last 20 minutes' -f threshold=1000 \
    -f comparison_operator=ABOVE -f 'metric=<json>' -f 'this_template_tags=<json>'
bronto monitors templates create --input body.json
```

## bronto monitors templates delete

Delete a monitor template

```sh theme={"dark"}
bronto monitors templates delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors templates delete <id> --yes
```

## bronto monitors templates get

Get a monitor template by ID

```sh theme={"dark"}
bronto monitors templates get <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors templates get <id>
```

## bronto monitors templates list

List monitor templates

```sh theme={"dark"}
bronto monitors templates list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors templates list
```

## bronto monitors templates update

Update a monitor template

```sh theme={"dark"}
bronto monitors templates update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors templates update <id> -f name=<name> -f 'window=Last 20 minutes' -f threshold=1000 \
    -f comparison_operator=ABOVE -f 'metric=<json>'
bronto monitors templates update <id> --input body.json
```

## bronto monitors update

Update a monitor

```sh theme={"dark"}
bronto monitors update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto monitors update <id> -f name=<name> -f 'window=Last 20 minutes' -f threshold=1000 \
    -f comparison_operator=ABOVE -f 'queries=<json>' -f 'actions=<json>'
bronto monitors update <id> --input body.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.